Bug 136278 - wireless setup only shows wired drivers when wrong wireless driver is configured
wireless setup only shows wired drivers when wrong wireless driver is configured
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2004-10-18 23:56 EDT by Andrew D. Stadler
Modified: 2008-04-04 18:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 18:51:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew D. Stadler 2004-10-18 23:56:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/125.5 (KHTML, 
like Gecko) Safari/125.9

Description of problem:
In the process of bringing up my wireless (prism 2.5 in IBM T30), I incorrectly placed "alias 
eth1 orinoco_cs" in modprobe.conf, and this pretty seriously confused system-config-
network.  Most of these problems seemed to go away when I fixed modprobe.conf (it 
should have aliased eth0 to orinoco_pci).

The general nature of this bug, then, is that system-config-network shouldn't get so darn 
confused in the face of incorrect loaded modules.

Version-Release number of selected component (if applicable):
system-config-network-1.3.17-0.FC2.1

How reproducible:
Always

Steps to Reproduce:
0.  insert "alias eth1 orinoco_cs" in modprobe.conf, on a system that has prism 2.5 PCI 
hardware
1.  system-config-network
2.  under devices, click "new"
3.  select device type "ethernet connection" and "forward"
4.  bug A:  note presence of wireless chipset in list
4.  go back, and select device type "wireless connection" and "forward"
5.  bug B:  list only includes "other wireless card".  
6.  click forward.  
7.  bug C: Note that we're now in "select ethernet adapter" panel (not wireless)
8.  bug D: Note that "adapter" drop-down is all ethernet devices (not wireless)
9.  change orinoco_cs to orinoco_pci and reboot.  regress problems - it seems to be a lot 
better now.

    

Actual Results:  as shown in results, above

Expected Results:  s-c-n should, at least, not do such wacky things in the UI.  At best, it 
should maybe understand something about the aliasing problem and offer to fix it?

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:00:43 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Andrew D. Stadler 2005-05-04 20:04:20 EDT
As of FC3/latest, and system-config-network-1.3.22-1, I find the following results:

(a)  I can no longer reproduce bugs A and B above - specifically,
correct/incorrect entries in modprobe.conf no longer seem to create any issues.

(b)  I can still observe bugs C and D above - specifically, selecting "Other
Wireless Card" brings up a panel for adding an ethernet card, not a wireless card

Note that bugs C and D seem to occur irrespective of the contents of modprobe.conf

Based on these results I am reopening this bug for FC3.
Comment 3 Matthew Miller 2006-07-10 17:50:33 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Bug Zapper 2008-04-03 11:42:20 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Andrew D. Stadler 2008-04-03 13:13:00 EDT
Unfortunately I am no longer using Fedora, I have a new job and they have standardized on Ubuntu here.

As far as I know (I think I was using FC6 when I finished the old job) all of the notes in here were still 
valid.  But I have not used FC7+.

Thanks anyway and good luck!

Comment 6 John Poelstra 2008-04-04 18:51:10 EDT
Thanks for your update

Note You need to log in before you can comment on or make changes to this bug.